Subject: [TR] 2 Rubber Overriders Needed for 1976 TR6

From: Dave Murphy <[email-masked]>
Date: Sun, 15 Sep 2013 10:16:28 -0400

On Thursday someone hit me in the right rear, glancing off the big rubber
overrider and the wrap around of the chrome bumber. The only damage to my car
was the right rear overrider was scraped and visibly fractured in the center.
It is obviously not going to withstand another such shunt and I'd like to
replace it in preparation for the next one.

Also when pushing the front of car sideways by the left front overider, while
the car was on dolleys, the left front overrider came loose. It appears I
ripped it internally from its mount and although it hasn't fallen off yet I'm
afraid it could. It too is obviously not very functional.

Does anyone have cosmetically & funcionally good right rear &  left front
rubber overriders for a '76 TR6 that they would like to sell me?

-Dave Murphy, DTSC

Dearborn Michigan

** [email-masked] **

Archive: http://www.team.net/archive